Subject: Re: [PATCH 2.5.69] Bridge timer performance enhancement

From: Jamal Hadi <[email-masked]>
Date: Wed, 14 May 2003 07:29:20 -0400 (EDT)

Stephen,
Seems you are the new maintainer to the bridging code? I suppose Lennert
is still still listening in the background somewhere. One thing we should
do post 2.6 is move all the STP protocol specific out of the kernel.
i.e leave the datapath controllers (such as controlling STP states)
in the kernel but have a user sapce daemon. This way you can start adding
a lot more feature rich extensions in user space without waiting for
kernel releases or having kernel patches (Fast Forward etc).
A second item is to start looking at integrating STP with the VLAN code.
Too bad Lennert (and someone else - cant remember the name) VLAN code
never made it in. We can  still fix this.

cheers,
jamal